//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.box;

import figue.error.Error;

/**
 * [PENDING: update the comments] GlyphOutOfBoundError.
 */

public class GlyphOutOfBoundError extends Error {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/box/GlyphOutOfBoundError.java,v $ $revision$ $Date: 1998/11/02 15:54:40 $ Copyright 1998 INRIA.";
    
    protected GlyphOutOfBoundError(GlyphInterface aGlyph,int aRank) { 
	super(); 
	_glyph = aGlyph;
	_rank = aRank;
    }
    
    public final GlyphInterface getGlyph() {
	return _glyph;
    }
    
    public final int getRank() {
	return _rank;
    }
    
    private GlyphInterface _glyph;
    private int _rank;
    
}
