//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.bug;

import java.applet.Applet;
import java.awt.Graphics;

public final class Workaround3 extends Applet {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/bug/Workaround3.java,v $ $revision$ $Date: 1998/11/02 15:54:46 $ Copyright 1998 INRIA.";

    public void paint(Graphics g) {
	update(g);
    }

    public void update(Graphics g) {
	final java.awt.Font theBigFont = new java.awt.Font("Serif",java.awt.Font.BOLD,22);
	g.setFont(theBigFont);
	(new InnerClass()).internalDraw(g);
    }

    private final String _ok = "OK : Free access";
    

    final class InnerClass {
	
	public final void internalDraw(Graphics g) {
	    g.drawString(_ok,0,50);
	}

    }
  
}
