//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.doclet;

public final class Constants {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/doclet/Constants.java,v $ $revision$ $Date: 1998/11/02 15:54:47 $ Copyright 1998 INRIA.";

    private Constants() {
	super();
    }
    
    public final static int LEVEL_END_USER = 0;
    public final static int LEVEL_ADVANCED_USER = 1;
    public final static int LEVEL_DEVELOPPER = 2;
    
    public final static String KEYWORD_END_USER = "lambda";
    public final static String KEYWORD_ADVANCED_USER = "advanced";
    public final static String KEYWORD_DEVELOPPER = "internal";

    public final static String TAG_LEVEL = "level";
    
    public final static String START_BODY = "<!-- ================== body ====================== -->";
    public final static String END_BODY = "<!-- ================== end body ================== -->";

    public final static int MAX_OFFSET = 65;

}
