//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.event;

import figue.InteractiveFacade;

import java.awt.event.KeyEvent;

/**
 * [PENDING: update the comments] DefaultKeyListener.
 */

public class DefaultKeyListener extends DefaultListener implements KeyListenerInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/event/DefaultKeyListener.java,v $ $revision$ $Date: 1998/11/02 15:54:53 $ Copyright 1998 INRIA.";

    public DefaultKeyListener(InteractiveFacade aFacade) {
	super(aFacade);
    }
  
    public void keyPressed(KeyEvent anEvent) {
	switch ( anEvent.getKeyCode() ) {
	case KeyEvent.VK_HOME: {
	    doGetCommandHome().execute();
	    break;
	}
	case KeyEvent.VK_END: {
	    doGetCommandEnd().execute();
	    break;
	}
	case KeyEvent.VK_PAGE_UP: {
	    doGetCommandPageUp().execute();
	    break;
	}
	case KeyEvent.VK_PAGE_DOWN: {
	    doGetCommandPageDown().execute();
	    break;
	}
	case KeyEvent.VK_LEFT: {
	    doGetCommandLeft().execute();
	    break;
	}
	case KeyEvent.VK_RIGHT: {
	    doGetCommandRight().execute();
	    break;
	}
	case KeyEvent.VK_UP: {
	    doGetCommandUp().execute();
	    break;
	}
	case KeyEvent.VK_DOWN: {
	    doGetCommandDown().execute();
	    break;
	}
	default: {
	    break;
	}
	}
    }
  
    public void keyTyped(KeyEvent anEvent) {
    }
  
    public void keyReleased(KeyEvent anEvent) {
    }
  
}

