//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.event;

import figue.box.Hyperlink;
import figue.FacadeInterface;

/**
 * [PENDING: update the comments] HyperlinkEvent.
 */

public final class HyperlinkEvent extends Event {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/event/HyperlinkEvent.java,v $ $revision$ $Date: 1998/11/02 15:54:55 $ Copyright 1998 INRIA.";
    
    public HyperlinkEvent(FacadeInterface aFacade,Hyperlink aLink) {
	super(aFacade);
	_hyperlink = aLink;
    }
    
    public final Hyperlink getHyperlink() {
	return _hyperlink;
    }
    
    private Hyperlink _hyperlink;
    
}
