//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.resource;

/**
 * [PENDING: update the comments] StyleInitializer.
 * @level advanced
 */

public final class StyleInitializer extends ResourceInitializer {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/resource/StyleInitializer.java,v $ $revision$ $Date: 1998/11/02 15:55:42 $ Copyright 1998 INRIA.";
    
    public StyleInitializer(StyleOwnerInterface anOwner) {
	super();
	_owner = anOwner;
    }
    
    public final ResourceOwnerInterface getOwner() {
	return _owner;
    }
    
    public final StyleInterface initResource(String aName) {
	StyleInterface theStyle = newStyle(_owner,aName);
	_owner.setStyle(theStyle);
	return theStyle;
    }
    
    public final String getName() {
	return "Style";
    }
    
    private StyleOwnerInterface _owner;
    
}
