//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

import java.net.URL;

/**
 * [PENDING: update the comments] FacadeInitializer.
 */

public final class FacadeInitializer {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/FacadeInitializer.java,v $ $revision$ $Date: 1998/11/02 15:54:30 $ Copyright 1998 INRIA.";
  
    public FacadeInitializer() {
	_formattingWidth = -1;
	_initialFont = null;
	_initialColor = null;
	_initialBackground = null;
	_scrollbarThickness = -1;
	_horizontalScrollbarPolicy = null;
	_vertivalScrollbarPolicy = null;
	_autoScrollPolicy = null;
	_autoScrollMargin = -1;
	_autoScrollDelay = -1;
	_autoScrollRate = -1;
	_insureVisiblePolicy = null;
	_portableFontLibrary = null;
    }

    public final int getFormattingWidth() {
	return _formattingWidth;
    }

    public final void setFormattingWidth(int aValue) {
	_formattingWidth = aValue;
    }

    public final String getInitialColor() {
	return _initialColor;
    }
  
    public final void setInitialColor(String aName) {
	_initialColor = aName;
    }

    public final String getInitialBackground() {
	return _initialBackground;
    }

    public final void setInitialBackground(String aName) {
	_initialBackground = aName;
    }

    public final String getInitialFont() {
	return _initialFont;
    }

    public final void setInitialFont(String aName) {
	_initialFont = aName;
    }

    public final int getScrollbarThickness() {
	return _scrollbarThickness;
    }

    public final void setScrollbarThickness(int aValue) {
	_scrollbarThickness = aValue;
    }

    public final ScrollbarPolicy getHorizontalScrollbarPolicy() {
	return _horizontalScrollbarPolicy;
    }

    public final void setHorizontalScrollbarPolicy(ScrollbarPolicy aPolicy) {
	_horizontalScrollbarPolicy = aPolicy;
    }

    public final ScrollbarPolicy getVerticalScrollbarPolicy() {
	return _vertivalScrollbarPolicy;
    }

    public final void setVerticalScrollbarPolicy(ScrollbarPolicy aPolicy) {
	_vertivalScrollbarPolicy = aPolicy;
    }

    public final AutoScrollPolicy getAutoScrollPolicy() {
	return _autoScrollPolicy;
    }
    
    public final void setAutoScrollPolicy(AutoScrollPolicy aPolicy) {
	_autoScrollPolicy = aPolicy;
    }

    public final int getAutoScrollMargin() {
	return _autoScrollMargin;
    }

    public final void setAutoScrollMargin(int aValue) {
	_autoScrollMargin = aValue;
    }

    public final int getAutoScrollDelay() {
	return _autoScrollDelay;
    }

    public final void setAutoScrollDelay(int aValue) {
	_autoScrollDelay = aValue;
    }

    public final int getAutoScrollRate() {
	return _autoScrollRate;
    }

    public final void setAutoScrollRate(int aValue) {
	_autoScrollRate = aValue;
    }

    public final InsureVisiblePolicy getInsureVisiblePolicy() {
	return _insureVisiblePolicy;
    }

    public final void setInsureVisiblePolicy(InsureVisiblePolicy aPolicy) {
	_insureVisiblePolicy = aPolicy;
    }

    public final URL getPortableFontLibrary() {
	return _portableFontLibrary;
    }

    public final void setPortableFontLibrary(URL anUrl) {
	_portableFontLibrary = anUrl;
    }
  
    private int _formattingWidth;
    private String _initialFont;
    private String _initialColor;
    private String _initialBackground;
    private int _scrollbarThickness;
    private ScrollbarPolicy _horizontalScrollbarPolicy;
    private ScrollbarPolicy _vertivalScrollbarPolicy;
    private AutoScrollPolicy _autoScrollPolicy;
    private int _autoScrollMargin;
    private int _autoScrollDelay;
    private int _autoScrollRate;
    private InsureVisiblePolicy _insureVisiblePolicy;
    private URL _portableFontLibrary;
  
}
