//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

import figue.internal.Globals;

/**
 * [PENDING: update the comments] InsureVisiblePolicy.
 */

public final class InsureVisiblePolicy {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/InsureVisiblePolicy.java,v $ $revision$ $Date: 1998/11/02 15:54:32 $ Copyright 1998 INRIA.";

    public InsureVisiblePolicy(int aSpaceToTop,int aSpaceToBottom,
			       int aSpaceToLeft, int aSpaceToRight) {
	_spaceToTop = aSpaceToTop;
	_spaceToBottom = aSpaceToBottom;
	_spaceToLeft = aSpaceToLeft;
	_spaceToRight = aSpaceToRight;
    }

    public InsureVisiblePolicy() {
	this(Globals.INSURE_VISIBLE_SPACE_AROUND,Globals.INSURE_VISIBLE_SPACE_AROUND,0,0);
    }

    public final int getSpaceToTop() {
	return _spaceToTop;
    }

    public final int getSpaceToBotton() {
	return _spaceToBottom;
    }
    
    public final int getSpaceToLeft() {
	return _spaceToLeft;
    }

    public final int getSpaceToRight() {
	return _spaceToRight;
    }

    private int _spaceToTop;
    private int _spaceToBottom;
    private int _spaceToLeft;
    private int _spaceToRight;
    
}
