//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

/**
 * [PENDING: update the comments] ScrollbarPolicy.
 */

public final class ScrollbarPolicy {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/ScrollbarPolicy.java,v $ $revision$ $Date: 1998/11/02 15:54:34 $ Copyright 1998 INRIA.";

    private ScrollbarPolicy(String aName, int anEnum) {
	_name = aName;
	_enum = anEnum;
    }
    /**
     * [PENDING: update the comments] getEnum
     * @level advanced
     */
    public final int getEnum() {
	return _enum;
    }

    public final String toString() {
	return "Scrollbar<" + _name + ">";
    }

    private String _name;
    private int _enum;

    final static int NEVER_ENUM = 0;
    final static int FIT_CONTENT_TO_SIZE_ENUM = NEVER_ENUM + 1;
    final static int ALWAYS_ENUM = FIT_CONTENT_TO_SIZE_ENUM + 1;
    final static int AS_NEEDED_ENUM = ALWAYS_ENUM + 1;

    public final static ScrollbarPolicy NEVER = new ScrollbarPolicy("Never",NEVER_ENUM);
    public final static ScrollbarPolicy FIT_CONTENT_TO_SIZE = new ScrollbarPolicy("FitContentToSize",FIT_CONTENT_TO_SIZE_ENUM);
    public final static ScrollbarPolicy ALWAYS = new ScrollbarPolicy("Always",ALWAYS_ENUM);
    public final static ScrollbarPolicy AS_NEEDED = new ScrollbarPolicy("AsNeeded",AS_NEEDED_ENUM);
  
}
