//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.error;

/**
 * [PENDING: update the comments] ErrorHandlerInterface.
 */

public interface ErrorHandlerInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/error/ErrorHandlerInterface.java,v $ $revision$ $Date: 1998/11/02 15:54:51 $ Copyright 1998 INRIA.";
    
    public void reportError(Error anError);
    public boolean canHandleError();
    public void handleError(Error anError);
    public boolean hasNextErrorHandler();
    public ErrorHandlerInterface getNextErrorHandler();
    public void manageFatalError(Error anError);
    public void manageWarning(Warning aWarning);
    
}
