//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.event;

import figue.PSFacade;

/**
 * [PENDING: update the comments] PrintEvent.
 */

public final class PrintEvent extends Event {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/event/PrintEvent.java,v $ $revision$ $Date: 1998/11/02 15:54:57 $ Copyright 1998 INRIA.";
    
    public PrintEvent(PSFacade aFacade,int aPageNumber, int aPercentDone) {
	super(aFacade);
	_pageNumber = aPageNumber;
	_percentDone = aPercentDone;
    }
    
    public final int getPageNumber() {
	return _pageNumber;
    }
    
    public final int getPercentDone() {
	return _percentDone;
    }
    
    private int _pageNumber;
    private int _percentDone;
    
}
