//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

public final class SonModificationStatus {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/SonModificationStatus.java,v $ $revision$ $Date: 1998/11/02 15:55:05 $ Copyright 1998 INRIA.";
  
    private SonModificationStatus(String aName) {
	_name = aName;
    }
  
    public final String toString() {
	StringBuffer theResult = new StringBuffer("SonModif<");
	theResult.append(_name).append(">");
	return theResult.toString();
    }

    private String _name;

    public final static SonModificationStatus KILL = new SonModificationStatus("Kill");
    public final static SonModificationStatus SHRINK = new SonModificationStatus("Shrink");
    public final static SonModificationStatus EXPAND = new SonModificationStatus("Expand");

}

  
